## pipes.sh 1.3.0

=== Makefile ===
PREFIX=/usr/local
DESTDIR=

INSTDIR=$(DESTDIR)$(PREFIX)
INSTBIN=$(INSTDIR)/bin
INSTMAN=$(INSTDIR)/share/man/man6

SCRIPT=pipes.sh
MANPAGE=$(SCRIPT).6

all:
	@echo did nothing. try targets: install, or uninstall.

install:
	test -d $(INSTDIR) || mkdir -p $(INSTDIR)
	test -d $(INSTBIN) || mkdir -p $(INSTBIN)
	test -d $(INSTMAN) || mkdir -p $(INSTMAN)

	install -m 0755 $(SCRIPT) $(INSTBIN)
	install -m 0644 $(MANPAGE) $(INSTMAN)

uninstall:
	rm -f $(INSTBIN)/$(SCRIPT)
	rm -f $(INSTMAN)/$(MANPAGE)

.PHONY: all install uninstall

=== debian/changelog ===
pipes.sh (1.3.0-2) unstable; urgency=medium

  * Mark package as Architecture:All (Closes: #1027320)
  * Remove unnecessary ncurces dependency (Closes: #1027319)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 30 Dec 2022 17:08:03 +0100

pipes.sh (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1024273)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Tue, 28 Jun 2022 14:53:19 -0600

=== debian/control ===
Source: pipes.sh
Section: games
Priority: optional
Maintainer: Matthias Geiger <matthias.geiger1024@tutanota.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dh-exec (>= 0.27)
Standards-Version: 4.6.1
Homepage: https://github.com/pipeseroni/pipes.sh
Vcs-Browser: https://salsa.debian.org/werdahias/pipes.sh
Vcs-Git: https://salsa.debian.org/werdahias/pipes.sh.git

Package: pipes-sh
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Animated pipes terminal screensaver
 Display pipes in your terminal. pipes-sh allows you to watch
 pipes being drawn in your terminal. Multiple types for pipes are available.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:

execute_after_dh_install:
	mv pipes.sh.6 pipes.6

=== debian/watch ===
version=4
https://github.com/pipeseroni/pipes.sh/tags \
	archive/refs/tags/v(.*)\.tar\.gz
